DEV_SET_ALLMULTI(9)

NAME
dev_set_allmulti - update allmulti count on a device

SYNOPSIS

void dev_set_allmulti (struct net_device * dev, int inc);

ARGUMENTS

dev device

inc modifier

DESCRIPTION

Add or remove reception of all multicast frames to a device. While the count in the device remains above zero the interface remains listening to all interfaces. Once it hits zero the device reverts back to normal filtering operation. A negative inc value is used to drop the counter when releasing a resource needing all multicasts.